@media screen and (max-width: 1400px) and (min-width: 1025px) {}

@media screen and (max-width: 1215px) {

    body {
        background: #f8eecb url(../imgs/bg-main-tablet.webp) no-repeat 0 0 / 100%;
        overflow-y: auto;
    }

    .page {
        margin-bottom: 0;
    }

    #right-menu {
        display: none;
    }

    .container,
    .container-full,
    .container {
        max-width: 1024px;
        padding: 0 10px;
        width: 100%;
        position: relative;
    }

    .page-2 .container,
    .page-3 .container,
    .page-4 .container {
        opacity: unset;
        transform: unset;
    }

    /*----------------PAGE 1-----------------*/

    .page-1 {
        height: 1919px;
        max-height: unset;
        margin-bottom: 0;
    }

    .page-1 .logo {
        left: 44px;
        top: 34px;
    }

    .page-1 .btn-play-video {
        top: 443px;
        right: 44%;
    }

    .page-1 .socials {
        left: 336px;
        top: 73px;
    }

    .page-1 .champ-1 {
        bottom: 471px;
        left: -88px;
    }

    .page-1 .champ-2 {
        top: 616px;
        left: -187px;
    }

    .page-1 .champ-3 {
        top: 427px;
        left: -30px;
    }

    .page-1 .champ-4 {
        bottom: 484px;
        right: -48px;
    }

    .page-1 .champ-5 {
        top: 531px;
        right: -215px;
    }

    .page-1 .champ-6 {
        top: 290px;
        right: -50px;
    }

    .page-1 .btn-action {
        bottom: 400px;
        gap: 16px;
    }

    .page-1 .champ-main {
        bottom: 422px;
        left: 54%;
    }

    .page-1 .champ-main {
        background: url(../imgs/page-1/champ-main-tablet.webp) no-repeat 0 0 / 100% 100%;
        width: 1122px;
        height: 859px;
    }

    .page-1 .champ-main .layer .layer-item-1 {
        top: -26px;
        left: 442px;
        transform: unset;
    }

    .page-1 .champ-main .layer .layer-item-2 {
        left: 44%;
        top: -108px;
    }

    /*----------------PAGE 2-----------------*/

    .page-2 {
        margin-bottom: 0;
        margin-top: 0;
    }

    .page-2 .container {
        flex-direction: column;
        justify-content: flex-start;
    }

    .page-2 .title {
        display: none;
    }

    .page-2 .title.tablet {
        display: block;
        transform: translate(-32px, -44px);
        opacity: 1;
    }

    #class-list {
        margin-top: 0;
        transform: scale(0.8) translate(0, -94px);
    }

    #class-list .content {
        font-size: 26px;
    }

    /*----------------PAGE 3-----------------*/

    .page-3 {
        margin-top: 240px;
    }

    .page-3 .container {
        max-width: 100%;
    }

    .page-3 .container .title {
        margin: 0;
        opacity: 1;
    }

    .page-3 .mini-game {
        max-width: 100%;
    }

    .page-3 .wrap-count {
        opacity: 1;
    }

    .page-3 .mini-game .process-gifts {
        transform: unset;
    }

    .page-3 .process-bar .butterfly {
        display: none;
    }

    .page-3 .mini-game .process {
        gap: 18px;
        transform: scale(0.9) translateY(-78px);
    }

    .page-3 .process-bar {
        align-items: center;
    }

    .page-3 .process-bar .dot {
        width: 28px;
        height: 28px;
        margin: 0 9px;
    }

    .page-3 .process-bar .flower {
        width: 71px;
        height: 71px;
    }

    .page-3 .mini-game .process .gift {
        opacity: unset;
        transform: unset;
    }

    /*----------------PAGE 4-----------------*/

    .page-4 {
        margin-top: 295px;
        height: fit-content;
    }

    .page-4 .title {
        display: none;
        transform: unset;
    }

    .page-4 .title.tablet {
        display: block;
        opacity: 1;
        transform: unset;
    }

    .page-4 .container {
        flex-direction: column;
        justify-content: flex-start;
    }

    .page-4 .wrap-content {
        transform: scale(0.8) translate(44px, -100px);
    }

    /*----------------PAGE 5-----------------*/

    .page-5 .footer-socials {
        margin-bottom: 340px;
    }

    footer {
        margin-bottom: 0;
    }

    /*----------------ELEMENT-----------------*/

    .popup .wrap-content {
        max-width: 768px;
        margin-top: 25%;
    }

    #popup-rules .wrap-content {
        width: 750px;
        height: 512px;
    }

    #popup-histories .wrap-content {
        width: 720px;
        height: 456px;
    }

    #popup-histories thead tr {
        height: 30px;
    }

    #popup-histories thead tr th {
        font-size: 20px;
    }

    #popup-histories thead tr th:nth-child(1) {
        width: 103px;
    }

    #popup-histories thead tr th:nth-child(2) {
        width: 137px;
    }

    #popup-histories tbody tr {
        height: 60px;
        font-size: 16px;
        color: #ffeeb5;
    }

    #popup-histories tbody tr td:nth-child(3) {
        max-width: 145px;
    }

    footer.footer {
        padding: 0 10px;
    }

    footer .footer-text p {
        font-size: 18px;
    }
}

@media screen and (max-width: 576px) {

    body {
        background: unset;
    }

    .container,
    .container-full,
    .container {
        max-width: 360px;
    }

    #fullpage {
        background: #f8eecb url(../imgs/bg-main-mobile.webp) no-repeat 0 0;
    }

    .page-1 {
        padding-top: 58px;
        height: 667px;
        min-height: unset;
    }

    .page-1 .socials {
        top: 113px;
        left: 50%;
        transform: translateX(-50%);
    }

    .page-1 .socials li a {
        width: 40px;
        height: 40px;
    }

    .page-1 .socials .group {
        background-position: -40px top;
    }

    .page-1 .socials .tiktok {
        background-position: -80px top;
    }

    .page-1 .socials .group:hover,
    .page-1 .socials .tiktok:hover {
        background-position-y: bottom;
    }

    .page-1 .logo img {
        width: 100%;
    }

    .page-1 .logo {
        top: 6px;
        left: 50%;
        transform: translateX(-50%);
        margin-top: 10px;
        width: 218px;
    }

    .page-1 .champ-1 {
        display: none;
    }

    .page-1 .champ-2 {
        top: 280px;
        left: -205px;
        z-index: 4;
    }

    .page-1 .champ-2 img {
        width: 620px;
    }

    .page-1 .champ-3 {
        top: 221px;
        left: -84px;
        z-index: 3;
    }

    .page-1 .champ-3 img {
        width: 288px;
    }

    .page-1 .champ-4 {
        display: none;
    }

    .page-1 .champ-5 {
        top: 310px;
        right: -130px;
        z-index: 4;
    }

    .page-1 .champ-5 img {
        width: 580px;
    }

    .page-1 .champ-6 {
        top: 168px;
        right: -68px;
    }

    .page-1 .champ-6 img {
        width: 400px;
    }

    .page-1 .btn-play-video {
        display: none;
    }

    .page-1 .champ-main {
        background: url(../imgs/page-1/champ-main-mobile.webp) no-repeat 0 0 / 100% 100%;
        width: 357px;
        height: 326px;
        bottom: 0;
        left: 181px;
    }

    .page-1 .champ-main .layer .layer-item-2 {
        left: 48%;
        top: -200px;
        transform: translate(-50%) scale(0.5);
    }

    .page-1 .champ-main .layer .layer-item-1 {
        width: 93px;
        height: 108px;
        left: 50%;
        transform: translateX(-50%);
        top: -50px;
    }

    .page-1 .champ-main .layer .layer-item-1 img {
        width: 100%;
    }

    .page-1 .btn-action {
        width: 100%;
        flex-wrap: wrap;
        justify-content: center;
        bottom: unset;
        top: 510px;
        row-gap: 0;
        column-gap: 6px;
    }

    .page-1 .btn-action a {
        width: 165px;
        height: 45px;
    }

    .page-1 .clouds {
        display: none;
    }

    .page-2 {
        margin-top: 36px;
        height: unset;
        min-height: unset;
    }

    .page-2 .title.tablet {
        width: 100%;
        transform: unset;
    }

    #class-list {
        width: 100% !important;
        max-height: 600px;
        transform: unset;
    }

    #class-list ol {
        display: flex;
        justify-content: center;
        align-items: flex-start;
    }

    #class-list li,
    #class-list h2 {
        width: 63px !important;
        height: 265px !important;
    }

    #class-list li.active-slide .wrap {
        z-index: 5;
    }

    #class-list h2 {
        position: static;
    }

    #class-list li:nth-child(2) h2 {
        background-position: -63px 0;
    }

    #class-list li:nth-child(3) h2 {
        background-position: -126px 0;
    }

    #class-list li:nth-child(4) h2 {
        background-position: -189px 0;
    }

    #class-list li h2:hover,
    #class-list li h2.selected {
        background-position-y: bottom;
    }

    #class-list .content {
        font-size: 14px;
        padding: 0 10px;
    }

    #class-list .content img,
    #class-list .content .description {
        width: unset;
    }

    #class-list .content .description {
        line-height: 14px;
        font-size: 11px;
    }

    #class-list .content .description br {
        display: none;
    }

    #class-list .wrap {
        position: absolute;
        top: 268px;
        left: 0 !important;
        display: flex;
        padding: 0 !important;
        width: 100% !important;
        height: unset;
        justify-content: center;
        z-index: 4;
    }

    #class-list figure {
        width: 325px !important;
        height: 229px !important;
        margin: 0;
        background: url(../imgs/page-2/bg-content-mobile.webp) no-repeat 0 0 / 100% 100%;
    }

    .page-3 {
        margin-top: 0;
        height: unset;
        min-height: unset;
    }

    .page-3 .title {
        display: none;
    }

    .page-3 .title.mobile {
        display: block;
    }

    .page-3 .wrap-count {
        flex-direction: column;
    }

    .page-3 .mini-game .process-gifts {
        position: relative;
    }

    .page-3 .wrap-count .btn-register {
        width: 211px;
        height: 80px;
    }

    .page-3 .wrap-count .bg-count {
        width: 312px;
        height: 38px;
        background: url(../imgs/page-3/bg-count-mobile.png) no-repeat 0 0 / 100% 100%;
        transform: unset;
        padding-left: 0;
        text-align: center;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 18px;
    }

    #registration-count {
        font-size: 20px;
    }

    .page-3 .mini-game .process {
        flex-wrap: wrap;
        transform: unset;
    }

    .page-3 .mini-game .process .gift {
        width: 126px;
        height: 311px;
    }

    .page-3 .process-bar .flower {
        width: 40px;
        height: 40px;
        margin: 0 4px;
    }

    .page-3 .process-bar {
        height: 40px;
    }

    .page-3 .process-bar * {
        position: absolute;
    }

    .page-3 .process-bar .flower:nth-child(5) {
        top: 23px;
        left: 73px;
    }

    .page-3 .process-bar .flower:nth-child(9) {
        top: 23px;
        right: 73px;
    }

    .page-3 .process-bar .flower:nth-child(13) {
        top: 352px;
        left: 73px;
    }

    .page-3 .process-bar .flower:nth-child(17) {
        top: 352px;
        right: 73px;
    }

    .page-3 .process-bar .dot {
        width: 15px;
        height: 15px;
        margin: 0;
    }

    .page-3 .process-bar .dot:nth-child(2) {
        top: 38px;
        left: 32px;
    }

    .page-3 .process-bar .dot:nth-child(3) {
        top: 38px;
        left: 47px;
    }

    .page-3 .process-bar .dot:nth-child(4) {
        top: 38px;
        left: 62px;
    }

    .page-3 .process-bar .dot:nth-child(6) {
        top: 38px;
        left: 175px;
    }

    .page-3 .process-bar .dot:nth-child(7) {
        top: 38px;
        left: 190px;
    }

    .page-3 .process-bar .dot:nth-child(8) {
        top: 38px;
        left: 205px;
    }

    .page-3 .mini-game .process .gift .gift-content {
        padding: 82px 12px 30px 11px;
        gap: 4px;
    }

    .page-3 .mini-game .process .gift .point {
        width: 57px;
        height: 23px
    }

    .page-3 .mini-game .process .gift-2 .point {
        background-position: left -23px;
    }

    .page-3 .mini-game .process .gift-3 .point {
        background-position: left -46px;
    }

    .page-3 .process-bar .dot:nth-child(10) {
        top: 364px;
        left: 32px;
    }

    .page-3 .process-bar .dot:nth-child(11) {
        top: 364px;
        left: 47px;
    }

    .page-3 .process-bar .dot:nth-child(12) {
        top: 364px;
        left: 62px;
    }

    .page-3 .process-bar .dot:nth-child(14) {
        top: 364px;
        left: 175px;
    }

    .page-3 .process-bar .dot:nth-child(15) {
        top: 364px;
        left: 190px;
    }

    .page-3 .process-bar .dot:nth-child(16) {
        top: 364px;
        left: 205px;
    }

    .page-3 .process-bar .dot:nth-child(18),
    .page-3 .process-bar .dot:nth-child(19),
    .page-3 .process-bar .dot:nth-child(20) {
        display: none;
    }

    .page-3 .mini-game .process .gift .gift-content {
        padding: 82px 12px 30px 11px;
    }

    .page-3 .mini-game .process .gift .point {
        width: 57px;
        height: 23px;
        margin-bottom: 6px;
    }
    .page-3 .mini-game .process .gift-1 .item,
    .page-3 .mini-game .process .gift-2 .item,
    .page-3 .mini-game .process .gift-3 .item,
    .page-3 .mini-game .process .gift-4 .item,
    .page-3 .mini-game .process .gift .gift-content-item .item{
        font-size: 9px;
        line-height: 12px;
    }
    .page-3 .mini-game .process .gift-1 .item img,
    .page-3 .mini-game .process .gift-2 .item img,
    .page-3 .mini-game .process .gift-3 .item img,
    .page-3 .mini-game .process .gift-4 .item img {
        width: 33px;
        height: 33px;
    }

    .page-3 .mini-game .process .gift-2 .point {
        background-position: left -23px;
    }

    .page-3 .mini-game .process .gift-3 .point {
        background-position: left -46px;
    }

    .page-3 .mini-game .process .gift .gift-content .get-gifts {
        width: 79px;
        height: 22px;
        bottom: 25px;
    }
    .page-3 .mini-game .process .gift .gift-content-item .item {
        width: unset;
        text-align: center;
    }
    .page-3 .mini-game .process .gift .gift-content-item {
        width: 100px;
    }
    .page-3 .mini-game .process .gift .gift-content-item span {
        width: 50px;
    }

    .page-4 {
        margin-top: 0;
        padding-top: 100px;
        min-height: unset;
    }

    .page-4 .title.tablet {
        width: 286px;
    }

    .page-4 .wrap-content {
        transform: unset;
        width: 100%;
        height: 519px;
    }

    .page-4 .wrap-content::before {
        width: 353px;
        height: 519px;
        background: url(../imgs/page-4/bg-layer-mobile.webp) no-repeat 0 0 / 100%;
        top: 24px;
        left: -7px;
    }

    .page-4 .wrap-content::after {
        display: none;
    }

    .page-4 .wrap-content .card-item {
        width: 122px;
        height: 210px;
        padding-top: 38px;
    }

    .page-4 .wrap-content .card-item:nth-child(1) {
        top: 58px;
        left: 26px;
    }

    .page-4 .wrap-content .card-item:nth-child(2) {
        top: 14px;
        left: 189px;
    }

    .page-4 .wrap-content .card-item:nth-child(3) {
        top: 283px;
        right: unset;
        left: 27px;
    }

    .page-4 .wrap-content .card-item:nth-child(4) {
        top: 238px;
        right: 24px;
    }

    .page-4 .wrap-content .card-item .date img {
        height: 25px;
    }

    .page-4 .wrap-content .card-item hr {
        margin: 1px;
        width: 85px;
        margin-top: 2px;
    }

    .page-4 .wrap-content .card-item p {
        padding: 0 17px;
        font-size: 11px;
        margin-top: 4px;
    }

    .page-4 .wrap-content .btn-action {
        width: 110px;
        height: 39px;
        line-height: 39px;
        font-size: 9px;
        user-select: none;
    }

    .page-4 .wrap-content .action-card-1 {
        top: 186px;
        left: 33px;
    }

    .page-4 .wrap-content .action-card-2 {
        top: 137px;
        left: unset;
        right: 32px;
    }

    .page-4 .wrap-content .action-card-3 {
        top: 405px;
        right: unset;
        left: 33px;
    }

    .page-4 .wrap-content .action-card-4 {
        top: 356px;
        right: 27px;
    }

    .page-5 .footer-socials {
        margin-bottom: 140px;
        gap: 59px;
        row-gap: 26px;
        flex-wrap: wrap;
        justify-content: center;
        margin-top: 48px;
    }

    .page-5 .footer-socials li a {
        width: 80px;
        height: 86px;
    }

    .page-5 .footer-socials li a::after {
        width: 56px;
        height: 25px;
        bottom: -25px;
    }

    .page-5 .footer-socials .facebook::before,
    .page-5 .footer-socials .tiktok::before {
        display: none;
    }

    .page-5 .footer-socials .group a {
        background-position: -80px top;
    }

    .page-5 .footer-socials .discord a {
        background-position: -160px top;
    }

    footer {
        padding: 16px 10px 0 25px;
    }

    footer .footer-logo {
        display: none;
    }

    footer .footer-logo img {
        width: 100%;
    }

    footer .footer-text .footer-top {
        padding-left: 0;
        justify-content: center;
    }

    footer .footer-text .footer-top a {
        font-size: 14px;
    }

    footer .footer-text .license {
        margin-top: 8px;
    }

    footer .footer-text p {
        font-size: 14px;
        line-height: 16px;
    }

    footer br {
        display: none;
    }

    footer h2 {
        font-size: 16px;
        padding-left: 0;
    }
    
    footer .footer-text p::before {
        top: 0;
    }

    .user-info {
        margin: 0;
    }

    .user-info span {
        font-size: 10px;
    }

    .page-2 .promotion .actions .user-info .logout {
        font-size: 11px;
    }

    #popup-text .wrap-content {
        width: 96% !important;
        max-width: 360px;
        height: 225px;
    }

    .coppy-code {
        font-size: 10px;
    }

    #popup-text .content {
        font-size: 14px;
    }

}